Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.draw
Class PrintDrawVisitor

    java.lang.Object
      net.sf.jasperreports.engine.export.draw.PrintDrawVisitor

All Implemented Interfaces:
  PrintElementVisitor<Offset>

    public class PrintDrawVisitor

extends java.lang.Object
implements PrintElementVisitor<Offset>

Print element draw visitor.

Version:
  $Id: PrintDrawVisitor.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`PrintDrawVisitor()`

Method Summary
`void` | `setClip(boolean isClip)`
`void` | `setFrameDrawer(FrameDrawer frameDrawer)`
`void` | `setGraphics2D(java.awt.Graphics2D grx)`
`void` | `setTextDrawer(TextDrawer textDrawer)`
`void` | `setTextRenderer(JRReport report)`
`void` | `visit(JRGenericPrintElement printElement, Offset offset)` Visits a generic print element.
`void` | `visit(JRPrintEllipse ellipse, Offset offset)` Visits a print ellipse.
`void` | `visit(JRPrintFrame frame, Offset offset)` Visits a print frame.
`void` | `visit(JRPrintImage image, Offset offset)` Visits a print image.
`void` | `visit(JRPrintLine line, Offset offset)` Visits a print line.
`void` | `visit(JRPrintRectangle rectangle, Offset offset)` Visits a print rectangle.
`void` | `visit(JRPrintText textElement, Offset offset)` Visits a text print element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintDrawVisitor

    public PrintDrawVisitor()

Method Detail

### setTextRenderer

    public void setTextRenderer(JRReport report)

### setTextDrawer

    public void setTextDrawer(TextDrawer textDrawer)

### setFrameDrawer

    public void setFrameDrawer(FrameDrawer frameDrawer)

### setClip

    public void setClip(boolean isClip)

### setGraphics2D

    public void setGraphics2D(java.awt.Graphics2D grx)

### visit

    public void visit(JRPrintText textElement,
                      Offset offset)

  Description copied from interface: `PrintElementVisitor`
  Visits a text print element.

  Specified by:
    `visit` in interface `PrintElementVisitor<Offset>`
  Parameters:
    `textElement` - the element to visit
    `offset` - an argument passed for the visit

### visit

    public void visit(JRPrintImage image,
                      Offset offset)

  Description copied from interface: `PrintElementVisitor`
  Visits a print image.

  Specified by:
    `visit` in interface `PrintElementVisitor<Offset>`
  Parameters:
    `image` - the image to visit
    `offset` - an argument passed for the visit

### visit

    public void visit(JRPrintRectangle rectangle,
                      Offset offset)

  Description copied from interface: `PrintElementVisitor`
  Visits a print rectangle.

  Specified by:
    `visit` in interface `PrintElementVisitor<Offset>`
  Parameters:
    `rectangle` - the rectangle to visit
    `offset` - an argument passed for the visit

### visit

    public void visit(JRPrintLine line,
                      Offset offset)

  Description copied from interface: `PrintElementVisitor`
  Visits a print line.

  Specified by:
    `visit` in interface `PrintElementVisitor<Offset>`
  Parameters:
    `line` - the line to visit
    `offset` - an argument passed for the visit

### visit

    public void visit(JRPrintEllipse ellipse,
                      Offset offset)

  Description copied from interface: `PrintElementVisitor`
  Visits a print ellipse.

  Specified by:
    `visit` in interface `PrintElementVisitor<Offset>`
  Parameters:
    `ellipse` - the ellipse to visit
    `offset` - an argument passed for the visit

### visit

    public void visit(JRPrintFrame frame,
                      Offset offset)

  Description copied from interface: `PrintElementVisitor`
  Visits a print frame.

  Specified by:
    `visit` in interface `PrintElementVisitor<Offset>`
  Parameters:
    `frame` - the frame to visit
    `offset` - an argument passed for the visit

### visit

    public void visit(JRGenericPrintElement printElement,
                      Offset offset)

  Description copied from interface: `PrintElementVisitor`
  Visits a generic print element.

  Specified by:
    `visit` in interface `PrintElementVisitor<Offset>`
  Parameters:
    `printElement` - the element to visit
    `offset` - an argument passed for the visit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com